﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;
using Telerik.DesignTemplates.WP.ViewModels;

namespace Telerik.DesignTemplates.WP.Helpers
{
	public class MessageGroupTemplateSelector : DataTemplateSelector
	{
		private CustomMessage previousMessage;
		private int uniqueGroupIdentifier = 0;

		public DataTemplate IncomingTemplate
		{
			get;
			set;
		}

		public DataTemplate OutgoingTemplate
		{
			get;
			set;
		}

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			DataGroup currentGroup = item as DataGroup;
			if (currentGroup != null && (currentGroup.Items.ElementAt(0) as CustomMessage).Type == ConversationViewMessageType.Incoming)
				return this.IncomingTemplate;
			else
				return this.OutgoingTemplate;
		}
	}
}
